Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| WebLogic Integration
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.adapter.event
Class AbstractBEAPushEventGenerator

    java.lang.Object
      |
      +--com.bea.adapter.event.AbstractEventGenerator
            |
            +--com.bea.adapter.event.AbstractPushEventGenerator
                  |
                  +--com.bea.adapter.event.AbstractBEAPushEventGenerator

public abstract class AbstractBEAPushEventGenerator
extends AbstractPushEventGenerator

BEA Specific class for licensing. This class is distributed as an example for the licensing implementation. Contains methods required to validate licensing.

Author:
  Copyright © 2000, 2001 BEA Systems, Inc. All Rights Reserved.

Fields inherited from class com.bea.adapter.event.AbstractEventGenerator
`m_setOfEventTypes`

Constructor Summary
`AbstractBEAPushEventGenerator()`

Method Summary
`protected ValidationResult` | `checkLicense()` Returns true if the adapter can locate a valid BEA license in the runtime environment; looks for license.bea on the classpath.
`protected abstract java.lang.String` | `getLicensedProductComponent()`
`protected abstract java.lang.String` | `getLicensedProductName()`
`protected abstract java.lang.String` | `getLicensedProductRelease()`

Methods inherited from class com.bea.adapter.event.AbstractPushEventGenerator
`doCleanUpOnQuit, performPush, postEvents, removeDeadTypes, setupNewTypes, start, stop`

Methods inherited from class com.bea.adapter.event.AbstractEventGenerator
`assertValidLicense, createSetOfEventTypes, doInit, getEventDefinition, getEventTypes, getInitializationParms, getLogContext, getLogger, getRouter, getSleepCount, handlePostEventException, init, isEventTypeKnownToRouter, isInitialized, logDeadTypes, logEventTypes, logNewTypes, logPostEventException, refresh`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### AbstractBEAPushEventGenerator

    public AbstractBEAPushEventGenerator()

Method Detail

### getLicensedProductName

    protected abstract java.lang.String getLicensedProductName()

  Returns:
    this product's name for license verification; BEA adapter developers should make this method `final`

### getLicensedProductRelease

    protected abstract java.lang.String getLicensedProductRelease()

  Returns:
    this product's release for license verification; BEA adapter developers should make this method `final`

### getLicensedProductComponent

    protected abstract java.lang.String getLicensedProductComponent()

  Returns:
    this product's component for license verification; BEA adapter developers should make this method `final`

### checkLicense

    protected final ValidationResult checkLicense()

  Returns true if the adapter can locate a valid BEA license in the runtime environment; looks for license.bea on the classpath.

  Returns:
    ValidationResult - an object that describes the result of a validation check; a `ValidationResult` object may or may not have additional information associated with it. The additional information is used to generate a "better" exception on a failed validation attempt.
  Overrides:
    checkLicense in class AbstractEventGenerator

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| WebLogic Integration
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

WebLogic Integration (WLI)